package com.mortals.xhx.module.basic.model;

import java.util.List;
import com.mortals.xhx.module.basic.model.BasicStatusEntity;
/**
* 状态设置查询对象
*
* @author zxfei
* @date 2023-05-22
*/
public class BasicStatusQuery extends BasicStatusEntity {
    /** 开始 主键ID，自增长 */
    private Long idStart;

    /** 结束 主键ID，自增长 */
    private Long idEnd;

    /** 增加 主键ID，自增长 */
    private Long idIncrement;

    /** 主键ID，自增长列表 */
    private List <Long> idList;

    /** 主键ID，自增长排除列表 */
    private List <Long> idNotList;

    /** 开始 基础设置id */
    private Long basicSetIdStart;

    /** 结束 基础设置id */
    private Long basicSetIdEnd;

    /** 增加 基础设置id */
    private Long basicSetIdIncrement;

    /** 基础设置id列表 */
    private List <Long> basicSetIdList;

    /** 基础设置id排除列表 */
    private List <Long> basicSetIdNotList;

    /** 状态名称 */
    private List<String> statusNameList;

    /** 状态名称排除列表 */
    private List <String> statusNameNotList;
    /** 状态颜色值 */
    private List<String> statusColorList;

    /** 状态颜色值排除列表 */
    private List <String> statusColorNotList;
    /** 备注 */
    private List<String> remarkList;

    /** 备注排除列表 */
    private List <String> remarkNotList;
    /** 开始 创建用户 */
    private Long createUserIdStart;

    /** 结束 创建用户 */
    private Long createUserIdEnd;

    /** 增加 创建用户 */
    private Long createUserIdIncrement;

    /** 创建用户列表 */
    private List <Long> createUserIdList;

    /** 创建用户排除列表 */
    private List <Long> createUserIdNotList;

    /** 开始 创建时间 */
    private String createTimeStart;

    /** 结束 创建时间 */
    private String createTimeEnd;

    /** 开始 更新用户 */
    private Long updateUserIdStart;

    /** 结束 更新用户 */
    private Long updateUserIdEnd;

    /** 增加 更新用户 */
    private Long updateUserIdIncrement;

    /** 更新用户列表 */
    private List <Long> updateUserIdList;

    /** 更新用户排除列表 */
    private List <Long> updateUserIdNotList;

    /** 开始 更新时间 */
    private String updateTimeStart;

    /** 结束 更新时间 */
    private String updateTimeEnd;

    /** OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4) */
    private List<BasicStatusQuery> orConditionList;

    /** AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4) */
    private List<BasicStatusQuery> andConditionList;

    public BasicStatusQuery(){}

    /**
    * 获取 开始 主键ID，自增长
    * @return idStart
    */
    public Long getIdStart(){
        return this.idStart;
    }

    /**
    * 设置 开始 主键ID，自增长
    * @param idStart
    */
    public void setIdStart(Long idStart){
        this.idStart = idStart;
    }

    /**
    * 获取 结束 主键ID，自增长
    * @return $idEnd
    */
    public Long getIdEnd(){
        return this.idEnd;
    }

    /**
    * 设置 结束 主键ID，自增长
    * @param idEnd
    */
    public void setIdEnd(Long idEnd){
        this.idEnd = idEnd;
    }

    /**
    * 获取 增加 主键ID，自增长
    * @return idIncrement
    */
    public Long getIdIncrement(){
        return this.idIncrement;
    }

    /**
    * 设置 增加 主键ID，自增长
    * @param idIncrement
    */
    public void setIdIncrement(Long idIncrement){
        this.idIncrement = idIncrement;
    }

    /**
    * 获取 主键ID，自增长
    * @return idList
    */
    public List<Long> getIdList(){
        return this.idList;
    }

    /**
    * 设置 主键ID，自增长
    * @param idList
    */
    public void setIdList(List<Long> idList){
        this.idList = idList;
    }

    /**
    * 获取 主键ID，自增长
    * @return idNotList
    */
    public List<Long> getIdNotList(){
        return this.idNotList;
    }

    /**
    * 设置 主键ID，自增长
    * @param idNotList
    */
    public void setIdNotList(List<Long> idNotList){
        this.idNotList = idNotList;
    }


    /**
    * 获取 开始 基础设置id
    * @return basicSetIdStart
    */
    public Long getBasicSetIdStart(){
        return this.basicSetIdStart;
    }

    /**
    * 设置 开始 基础设置id
    * @param basicSetIdStart
    */
    public void setBasicSetIdStart(Long basicSetIdStart){
        this.basicSetIdStart = basicSetIdStart;
    }

    /**
    * 获取 结束 基础设置id
    * @return $basicSetIdEnd
    */
    public Long getBasicSetIdEnd(){
        return this.basicSetIdEnd;
    }

    /**
    * 设置 结束 基础设置id
    * @param basicSetIdEnd
    */
    public void setBasicSetIdEnd(Long basicSetIdEnd){
        this.basicSetIdEnd = basicSetIdEnd;
    }

    /**
    * 获取 增加 基础设置id
    * @return basicSetIdIncrement
    */
    public Long getBasicSetIdIncrement(){
        return this.basicSetIdIncrement;
    }

    /**
    * 设置 增加 基础设置id
    * @param basicSetIdIncrement
    */
    public void setBasicSetIdIncrement(Long basicSetIdIncrement){
        this.basicSetIdIncrement = basicSetIdIncrement;
    }

    /**
    * 获取 基础设置id
    * @return basicSetIdList
    */
    public List<Long> getBasicSetIdList(){
        return this.basicSetIdList;
    }

    /**
    * 设置 基础设置id
    * @param basicSetIdList
    */
    public void setBasicSetIdList(List<Long> basicSetIdList){
        this.basicSetIdList = basicSetIdList;
    }

    /**
    * 获取 基础设置id
    * @return basicSetIdNotList
    */
    public List<Long> getBasicSetIdNotList(){
        return this.basicSetIdNotList;
    }

    /**
    * 设置 基础设置id
    * @param basicSetIdNotList
    */
    public void setBasicSetIdNotList(List<Long> basicSetIdNotList){
        this.basicSetIdNotList = basicSetIdNotList;
    }


    /**
    * 获取 状态名称
    * @return statusNameList
    */
    public List<String> getStatusNameList(){
        return this.statusNameList;
    }

    /**
    * 设置 状态名称
    * @param statusNameList
    */
    public void setStatusNameList(List<String> statusNameList){
        this.statusNameList = statusNameList;
    }

    /**
    * 获取 状态名称
    * @return statusNameNotList
    */
    public List<String> getStatusNameNotList(){
        return this.statusNameNotList;
    }

    /**
    * 设置 状态名称
    * @param statusNameNotList
    */
    public void setStatusNameNotList(List<String> statusNameNotList){
        this.statusNameNotList = statusNameNotList;
    }

    /**
    * 获取 状态颜色值
    * @return statusColorList
    */
    public List<String> getStatusColorList(){
        return this.statusColorList;
    }

    /**
    * 设置 状态颜色值
    * @param statusColorList
    */
    public void setStatusColorList(List<String> statusColorList){
        this.statusColorList = statusColorList;
    }

    /**
    * 获取 状态颜色值
    * @return statusColorNotList
    */
    public List<String> getStatusColorNotList(){
        return this.statusColorNotList;
    }

    /**
    * 设置 状态颜色值
    * @param statusColorNotList
    */
    public void setStatusColorNotList(List<String> statusColorNotList){
        this.statusColorNotList = statusColorNotList;
    }

    /**
    * 获取 备注
    * @return remarkList
    */
    public List<String> getRemarkList(){
        return this.remarkList;
    }

    /**
    * 设置 备注
    * @param remarkList
    */
    public void setRemarkList(List<String> remarkList){
        this.remarkList = remarkList;
    }

    /**
    * 获取 备注
    * @return remarkNotList
    */
    public List<String> getRemarkNotList(){
        return this.remarkNotList;
    }

    /**
    * 设置 备注
    * @param remarkNotList
    */
    public void setRemarkNotList(List<String> remarkNotList){
        this.remarkNotList = remarkNotList;
    }

    /**
    * 获取 开始 创建用户
    * @return createUserIdStart
    */
    public Long getCreateUserIdStart(){
        return this.createUserIdStart;
    }

    /**
    * 设置 开始 创建用户
    * @param createUserIdStart
    */
    public void setCreateUserIdStart(Long createUserIdStart){
        this.createUserIdStart = createUserIdStart;
    }

    /**
    * 获取 结束 创建用户
    * @return $createUserIdEnd
    */
    public Long getCreateUserIdEnd(){
        return this.createUserIdEnd;
    }

    /**
    * 设置 结束 创建用户
    * @param createUserIdEnd
    */
    public void setCreateUserIdEnd(Long createUserIdEnd){
        this.createUserIdEnd = createUserIdEnd;
    }

    /**
    * 获取 增加 创建用户
    * @return createUserIdIncrement
    */
    public Long getCreateUserIdIncrement(){
        return this.createUserIdIncrement;
    }

    /**
    * 设置 增加 创建用户
    * @param createUserIdIncrement
    */
    public void setCreateUserIdIncrement(Long createUserIdIncrement){
        this.createUserIdIncrement = createUserIdIncrement;
    }

    /**
    * 获取 创建用户
    * @return createUserIdList
    */
    public List<Long> getCreateUserIdList(){
        return this.createUserIdList;
    }

    /**
    * 设置 创建用户
    * @param createUserIdList
    */
    public void setCreateUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
    }

    /**
    * 获取 创建用户
    * @return createUserIdNotList
    */
    public List<Long> getCreateUserIdNotList(){
        return this.createUserIdNotList;
    }

    /**
    * 设置 创建用户
    * @param createUserIdNotList
    */
    public void setCreateUserIdNotList(List<Long> createUserIdNotList){
        this.createUserIdNotList = createUserIdNotList;
    }


    /**
    * 获取 开始 创建时间
    * @return createTimeStart
    */
    public String getCreateTimeStart(){
        return this.createTimeStart;
    }

    /**
    * 设置 开始 创建时间
    * @param createTimeStart
    */
    public void setCreateTimeStart(String createTimeStart){
        this.createTimeStart = createTimeStart;
    }

    /**
    * 获取 结束 创建时间
    * @return createTimeEnd
    */
    public String getCreateTimeEnd(){
        return this.createTimeEnd;
    }

    /**
    * 设置 结束 创建时间
    * @param createTimeEnd
    */
    public void setCreateTimeEnd(String createTimeEnd){
        this.createTimeEnd = createTimeEnd;
    }

    /**
    * 获取 开始 更新用户
    * @return updateUserIdStart
    */
    public Long getUpdateUserIdStart(){
        return this.updateUserIdStart;
    }

    /**
    * 设置 开始 更新用户
    * @param updateUserIdStart
    */
    public void setUpdateUserIdStart(Long updateUserIdStart){
        this.updateUserIdStart = updateUserIdStart;
    }

    /**
    * 获取 结束 更新用户
    * @return $updateUserIdEnd
    */
    public Long getUpdateUserIdEnd(){
        return this.updateUserIdEnd;
    }

    /**
    * 设置 结束 更新用户
    * @param updateUserIdEnd
    */
    public void setUpdateUserIdEnd(Long updateUserIdEnd){
        this.updateUserIdEnd = updateUserIdEnd;
    }

    /**
    * 获取 增加 更新用户
    * @return updateUserIdIncrement
    */
    public Long getUpdateUserIdIncrement(){
        return this.updateUserIdIncrement;
    }

    /**
    * 设置 增加 更新用户
    * @param updateUserIdIncrement
    */
    public void setUpdateUserIdIncrement(Long updateUserIdIncrement){
        this.updateUserIdIncrement = updateUserIdIncrement;
    }

    /**
    * 获取 更新用户
    * @return updateUserIdList
    */
    public List<Long> getUpdateUserIdList(){
        return this.updateUserIdList;
    }

    /**
    * 设置 更新用户
    * @param updateUserIdList
    */
    public void setUpdateUserIdList(List<Long> updateUserIdList){
        this.updateUserIdList = updateUserIdList;
    }

    /**
    * 获取 更新用户
    * @return updateUserIdNotList
    */
    public List<Long> getUpdateUserIdNotList(){
        return this.updateUserIdNotList;
    }

    /**
    * 设置 更新用户
    * @param updateUserIdNotList
    */
    public void setUpdateUserIdNotList(List<Long> updateUserIdNotList){
        this.updateUserIdNotList = updateUserIdNotList;
    }


    /**
    * 获取 开始 更新时间
    * @return updateTimeStart
    */
    public String getUpdateTimeStart(){
        return this.updateTimeStart;
    }

    /**
    * 设置 开始 更新时间
    * @param updateTimeStart
    */
    public void setUpdateTimeStart(String updateTimeStart){
        this.updateTimeStart = updateTimeStart;
    }

    /**
    * 获取 结束 更新时间
    * @return updateTimeEnd
    */
    public String getUpdateTimeEnd(){
        return this.updateTimeEnd;
    }

    /**
    * 设置 结束 更新时间
    * @param updateTimeEnd
    */
    public void setUpdateTimeEnd(String updateTimeEnd){
        this.updateTimeEnd = updateTimeEnd;
    }

    /**
    * 设置  主键ID，自增长
    * @param id
    */
    public BasicStatusQuery id(Long id){
	    setId(id);
		return this;
    }
	
	 /**
    * 设置 开始 主键ID，自增长
    * @param idStart
    */
    public BasicStatusQuery idStart(Long idStart){
		this.idStart = idStart;
		return this;
    }

    /**
    * 设置 结束 主键ID，自增长
    * @param idEnd
    */
    public BasicStatusQuery idEnd(Long idEnd){
		this.idEnd = idEnd;
		return this;
    }

    /**
    * 设置 增加 主键ID，自增长
    * @param idIncrement
    */
    public BasicStatusQuery idIncrement(Long idIncrement){
		this.idIncrement = idIncrement;
		return this;
    }

    /**
    * 设置 主键ID，自增长
    * @param idList
    */
    public BasicStatusQuery idList(List<Long> idList){
        this.idList = idList;
		return this;
        }

        /**
        * 设置 主键ID，自增长
        * @param idNotList
        */
        public BasicStatusQuery idNotList(List<Long> idNotList){
        this.idNotList = idNotList;
        return this;
        }

    /**
    * 设置  基础设置id
    * @param basicSetId
    */
    public BasicStatusQuery basicSetId(Long basicSetId){
	    setBasicSetId(basicSetId);
		return this;
    }
	
	 /**
    * 设置 开始 基础设置id
    * @param basicSetIdStart
    */
    public BasicStatusQuery basicSetIdStart(Long basicSetIdStart){
		this.basicSetIdStart = basicSetIdStart;
		return this;
    }

    /**
    * 设置 结束 基础设置id
    * @param basicSetIdEnd
    */
    public BasicStatusQuery basicSetIdEnd(Long basicSetIdEnd){
		this.basicSetIdEnd = basicSetIdEnd;
		return this;
    }

    /**
    * 设置 增加 基础设置id
    * @param basicSetIdIncrement
    */
    public BasicStatusQuery basicSetIdIncrement(Long basicSetIdIncrement){
		this.basicSetIdIncrement = basicSetIdIncrement;
		return this;
    }

    /**
    * 设置 基础设置id
    * @param basicSetIdList
    */
    public BasicStatusQuery basicSetIdList(List<Long> basicSetIdList){
        this.basicSetIdList = basicSetIdList;
		return this;
        }

        /**
        * 设置 基础设置id
        * @param basicSetIdNotList
        */
        public BasicStatusQuery basicSetIdNotList(List<Long> basicSetIdNotList){
        this.basicSetIdNotList = basicSetIdNotList;
        return this;
        }


	/**
    * 设置 状态名称
    * @param statusName
    */
    public BasicStatusQuery statusName(String statusName){
        setStatusName(statusName);
		return this;
    }

    /**
    * 设置 状态名称
    * @param statusNameList
    */
    public BasicStatusQuery statusNameList(List<String> statusNameList){
        this.statusNameList = statusNameList;
		return this;
    }


	/**
    * 设置 状态颜色值
    * @param statusColor
    */
    public BasicStatusQuery statusColor(String statusColor){
        setStatusColor(statusColor);
		return this;
    }

    /**
    * 设置 状态颜色值
    * @param statusColorList
    */
    public BasicStatusQuery statusColorList(List<String> statusColorList){
        this.statusColorList = statusColorList;
		return this;
    }


	/**
    * 设置 备注
    * @param remark
    */
    public BasicStatusQuery remark(String remark){
        setRemark(remark);
		return this;
    }

    /**
    * 设置 备注
    * @param remarkList
    */
    public BasicStatusQuery remarkList(List<String> remarkList){
        this.remarkList = remarkList;
		return this;
    }

    /**
    * 设置  创建用户
    * @param createUserId
    */
    public BasicStatusQuery createUserId(Long createUserId){
	    setCreateUserId(createUserId);
		return this;
    }
	
	 /**
    * 设置 开始 创建用户
    * @param createUserIdStart
    */
    public BasicStatusQuery createUserIdStart(Long createUserIdStart){
		this.createUserIdStart = createUserIdStart;
		return this;
    }

    /**
    * 设置 结束 创建用户
    * @param createUserIdEnd
    */
    public BasicStatusQuery createUserIdEnd(Long createUserIdEnd){
		this.createUserIdEnd = createUserIdEnd;
		return this;
    }

    /**
    * 设置 增加 创建用户
    * @param createUserIdIncrement
    */
    public BasicStatusQuery createUserIdIncrement(Long createUserIdIncrement){
		this.createUserIdIncrement = createUserIdIncrement;
		return this;
    }

    /**
    * 设置 创建用户
    * @param createUserIdList
    */
    public BasicStatusQuery createUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
		return this;
        }

        /**
        * 设置 创建用户
        * @param createUserIdNotList
        */
        public BasicStatusQuery createUserIdNotList(List<Long> createUserIdNotList){
        this.createUserIdNotList = createUserIdNotList;
        return this;
        }


    /**
    * 设置  更新用户
    * @param updateUserId
    */
    public BasicStatusQuery updateUserId(Long updateUserId){
	    setUpdateUserId(updateUserId);
		return this;
    }
	
	 /**
    * 设置 开始 更新用户
    * @param updateUserIdStart
    */
    public BasicStatusQuery updateUserIdStart(Long updateUserIdStart){
		this.updateUserIdStart = updateUserIdStart;
		return this;
    }

    /**
    * 设置 结束 更新用户
    * @param updateUserIdEnd
    */
    public BasicStatusQuery updateUserIdEnd(Long updateUserIdEnd){
		this.updateUserIdEnd = updateUserIdEnd;
		return this;
    }

    /**
    * 设置 增加 更新用户
    * @param updateUserIdIncrement
    */
    public BasicStatusQuery updateUserIdIncrement(Long updateUserIdIncrement){
		this.updateUserIdIncrement = updateUserIdIncrement;
		return this;
    }

    /**
    * 设置 更新用户
    * @param updateUserIdList
    */
    public BasicStatusQuery updateUserIdList(List<Long> updateUserIdList){
        this.updateUserIdList = updateUserIdList;
		return this;
        }

        /**
        * 设置 更新用户
        * @param updateUserIdNotList
        */
        public BasicStatusQuery updateUserIdNotList(List<Long> updateUserIdNotList){
        this.updateUserIdNotList = updateUserIdNotList;
        return this;
        }


    /**
    * 获取 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @return orConditionList
    */
    public List<BasicStatusQuery> getOrConditionList(){
    return this.orConditionList;
    }

    /**
    * 设置 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @param orConditionList
    */
    public void setOrConditionList(List<BasicStatusQuery> orConditionList){
        this.orConditionList = orConditionList;
    }

    /**
    * 获取 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @return andConditionList
    */
    public List<BasicStatusQuery> getAndConditionList(){
        return this.andConditionList;
    }

    /**
    * 设置 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @param andConditionList
    */
    public void setAndConditionList(List<BasicStatusQuery> andConditionList){
        this.andConditionList = andConditionList;
    }

}